Bug 87009 - Enable tracking of opened and closed TopComponents
Enable tracking of opened and closed TopComponents
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 2710
  Show dependency treegraph
 
Reported: 2006-10-12 14:51 UTC by David Simonek
Modified: 2008-12-22 18:48 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
diff of winsys API (8.10 KB, application/octet-stream)
2006-10-12 15:26 UTC, David Simonek
Details
registry implementation diff (1.21 KB, patch)
2006-10-12 15:28 UTC, David Simonek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Simonek 2006-10-12 14:51:30 UTC
Enable tracking of opened and closed TopComponents. Currently, only way to do it
is to listen to property change on TopComponent.Registry to get a set of opened
TopComponents. Extracting needed info is complicated, error prone and may lead
to memory leaks.

Proposed solution - simple and compatible API addition:
- add two new property constants "PROP_TC_OPENED" and "PROP_TC_CLOSED" into
TopComponent.Registry. Clients will get recently opened or closed top component
through calling getNewValue() on received event.
Comment 1 David Simonek 2006-10-12 15:04:46 UTC
I'm asking for fast track review of this API change. I'll attach the diff. Also
note that implementation of 2710 relies on this API change.
Comment 2 David Simonek 2006-10-12 15:26:15 UTC
Created attachment 35140 [details]
diff of winsys API
Comment 3 David Simonek 2006-10-12 15:28:57 UTC
Created attachment 35141 [details]
registry implementation diff
Comment 4 David Simonek 2006-12-18 11:16:43 UTC
implemented as part of 2710, closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo